# Railcraft Mod License

## Usage
  * The "*.cfg" files in the Railcraft config folder are not considered part of Railcraft and may be freely distributed.

  * The Railcraft API is not considered part of Railcraft and may be freely distributed and/or used as you see fit, according to the MIT License.

  * You may not use Railcraft to generate revenue for yourself except in the cases listed below.

  * You may not distribute modified versions of Railcraft.

  * You may install Railcraft on multiplayer servers and are **ALLOWED** to earn revenue as you desire from server usage fees, donations, sold services, or anything else you can come up with.
    * If you wish to create a **public** client bundle including Railcraft for your users, you must follow the Public Mod Pack Restrictions below.
    * **Private client bundles are permitted without requiring that you meet the restrictions on Public Mod Packs, but they must be protected via password or white-list in such a way that only server users are allowed to access it.**

## Derivatives
  * You may create, publish, and earn revenue from a texture pack made for Railcraft so long as it contains no Railcraft code. Additionally, you may use, modify, and distribute any png files or their contents from Railcraft in your Railcraft Texture Pack as long as you provide attribution and a link to the [Railcraft Blog](http://railcraft.info/).

  * You may create, publish, and earn revenue from an addon made for Railcraft using the Railcraft API (addon being defined as a mini-mod that requires Railcraft be installed to function), though CovertJaguar reserves the right to implement similar features if desired. However, no addon code will be ever be included in Railcraft without the addon makers permission.

  * You may create, publish, and earn revenue from videos that display all or part of Railcraft. You should but are not required to provide a link to the [Railcraft Blog](http://railcraft.info/).

  * You may create, publish, and earn revenue from maps that require Railcraft. You may distribute Railcraft with your map if you meet the Public Mod Pack requirements defined below. If you require your users to install Railcraft, provide a link to the [Railcraft Blog](http://railcraft.info/).
  
## Distribution
  * Except in the case of Public Mod Packs, you may not publicly distribute Railcraft on another site without CovertJaguar's explicit permission. And if you have permission you must include a link to the [Railcraft Blog](http://railcraft.info/) and [Wiki](http://railcraft.info/wiki) and use the download links provided there unless you receive permission to do otherwise. Proper attribution must be provided regardless and you must post a link to this [License](http://railcraft.info/wiki/info:license).

## Public Mod Packs
  * This section pertains **ONLY** to publicly available mod packs. The section does not apply to Private Server Packs as defined previously in the Usage Section.

    * You are **REQUIRED** to **PUBLICLY** post a licensing page with entries for all the mods currently in your mod pack (links to licenses, images of PMs, posts by devs, etc...). This is the single most important requirement you must meet. If you cannot or will not do this, you cannot use Railcraft in your mod pack.
    * You may not sell the mod pack.
    * You are not allowed to use the latest series of Railcraft (versioning system being <major.series.revision.build>, ie 3.3.1.0) until a new series is released or one week has passed since the last revision was released. This is to protect the users from unstable versions.
    * You must provide a link to the [Railcraft Blog](http://railcraft.info/), [Railcraft Wiki](http://railcraft.info/wiki) and [Railcraft License](http://railcraft.info/wiki/info:license) on your website.
    * Beta builds are never to be packaged as part of a public mod pack. Only public releases ending in zero (x.x.x.0) can be used in public mod packs.
    * Explicit permission is no longer required thanks to the great support via [Patreon](http://www.patreon.com/CovertJaguar)! Meet the above requirements and you are good.

## Source
  * You may not create works using the Railcraft code (source or binary) without CovertJaguar's explicit permission except in the cases listed in this license.

  * The source code is hosted on [GitHub](https://github.com/CovertJaguar/Railcraft)

  * You may **NOT** create derivative Jars from Railcraft source to distribute to other users.

  * You **MAY** use snippets of Railcraft Code posted on the Official Github in your own projects, but only if your project consists of less than 25% of Railcraft derived code. You must give credit to the Railcraft Project for the code used, including a link to the Github Project. Put this in your class file headers that contain Railcraft code, in your readme, and on the main download page.
  
  * You may **NOT** use Railcraft Art Assets in other projects **unless** the project is intended to operate alongside Railcraft. Examples are Addons and InterMod Integration.

  * You **MAY** fork and edit the Github Project for the purpose of contributing to the Official Railcraft Project. You may **NOT** distribute any Jar created from a fork for any reason.
  
  * All contributions to the Official Railcraft Project must be covered by a Contributor Licensing Agreement signed by the contributor. See the Github readme for more details.  
